Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.http.servlets
Interface SessionWrapper

All Known Implementing Classes:
  CocoonSessionWrapper, HttpSessionWrapper

public interface SessionWrapper

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String arg0)`
`java.util.Enumeration` | `getAttributeNames()`
`long` | `getCreationTime()`
`java.lang.String` | `getId()`
`long` | `getLastAccessedTime()`
`int` | `getMaxInactiveInterval()`
`void` | `invalidate()`
`boolean` | `isNew()`
`void` | `removeAttribute(java.lang.String arg0)`
`void` | `setAttribute(java.lang.String arg0, java.lang.Object arg1)`
`void` | `setMaxInactiveInterval(int arg0)`

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String arg0)

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

### getCreationTime

    public long getCreationTime()

### getId

    public java.lang.String getId()

### getLastAccessedTime

    public long getLastAccessedTime()

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

### invalidate

    public void invalidate()

### isNew

    public boolean isNew()

### removeAttribute

    public void removeAttribute(java.lang.String arg0)

### setAttribute

    public void setAttribute(java.lang.String arg0,
                             java.lang.Object arg1)

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int arg0)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.